Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Future_Observer< T > Class Template Reference

ACE_Future_Observer<T>. More...

`#include <Future.h>`

Inheritance diagram for ACE_Future_Observer< T >:

[legend]
List of all members.

## Public Member Functions
virtual | ~ACE_Future_Observer (void)
| Destructor.
virtual void | update (const ACE_Future< T > &future)=0
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Protected Member Functions
| ACE_Future_Observer (void)
| Constructor.

## Detailed Description

### template<class T>
class ACE_Future_Observer< T >

ACE_Future_Observer<T>.

An ACE_Future_Observer object implements an object that is subscribed with an ACE_Future object so that it may be notified when the value of the ACE_Future object is written to by a writer thread. It uses the Observer pattern.

## Constructor & Destructor Documentation

template<class T>
ACE_Future_Observer< T >::~ACE_Future_Observer | ( | void |  | ) | `[virtual]`

| Destructor.

template<class T>
ACE_Future_Observer< T >::ACE_Future_Observer | ( | void |  | ) | `[protected]`

| Constructor.

## Member Function Documentation

template<class T>
virtual void ACE_Future_Observer< T >::update | ( | const ACE_Future< T > & | future | ) | `[pure virtual]`

| Called by the ACE_Future in which we are subscribed to when its value is written to. Implemented in ACE_Future_Set< T >.

## Member Data Documentation

template<class T>
ACE_Future_Observer< T >::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented in ACE_Future_Set< T >.

The documentation for this class was generated from the following files:

- Future.h
- Future.cpp